import { FG_Plugin } from 'src/plugins';
const mainRoutes: FG_Plugin.PluginRouteConfig[] = [
  {
    title: 'Getränke',
    icon: 'mdi-glass-mug-variant',
    route: {
      path: 'drinks',
      name: 'drinks',
      redirect: { name: 'drinks-pricelist' },
    },
    permissions: ['user'],
    children: [
      {
        title: 'Preisliste',
        icon: 'mdi-cash-100',
        shortcut: true,
        permissions: ['user'],
        route: {
          path: 'pricelist',
          name: 'drinks-pricelist',
          component: () => import('../pages/PricelistP.vue'),
        },
      },
      {
        title: 'Einstellungen',
        icon: 'mdi-coffee-to-go',
        shortcut: false,
        permissions: ['pricelist_settings'],
        route: {
          path: 'settings',
          name: 'drinks-settings',
          component: () => import('../pages/Settings.vue'),
        },
      },
    ],
  },
];

export default mainRoutes;
